Loading...
Searching...
No Matches
gr::iio Namespace Reference

## Classes

class | attr_sink
| Generic writer for attributes of IIO devices. More...
class | attr_source
| Generic reader for attributes of IIO devices. More...
class | attr_updater
| Generic helper block to create message in a format that will be accepted by the IIO Attribute Sink Block. More...
class | dds_control
| Control block for DDSs which are available in controlling FPGAs of certain IIO drivers. More...
class | device_sink
| Generic sink for IIO drivers with buffered input channels. More...
class | device_source
| Generic source for IIO drivers with buffered output channels. More...
class | fmcomms2_sink
| Device specific sink for FMComms evaluation cards. More...
class | fmcomms2_source
| Device specific source for FMComms evaluation cards. More...
class | iio_param_t

## Typedefs

typedef fmcomms2_sink< int16_t > | fmcomms2_sink_s
typedef fmcomms2_sink< std::complex< int16_t > > | fmcomms2_sink_sc16
typedef fmcomms2_sink< gr_complex > | fmcomms2_sink_fc32
typedef fmcomms2_source< int16_t > | fmcomms2_source_s
typedef fmcomms2_source< std::complex< int16_t > > | fmcomms2_source_sc16
typedef fmcomms2_source< gr_complex > | fmcomms2_source_fc32
typedef std::variant< long long unsigned int, long unsigned int, int, double, std::string > | iio_param_value_t
typedef std::vector< iio_param_t > | iio_param_vec_t

## Enumerations

enum class | data_type_t { DOUBLE = 0 , FLOAT = 1 , LONGLONG = 2 , INT = 3 , UINT8 = 4 }
enum class | attr_type_t { CHANNEL = 0 , DEVICE = 1 , DEVICE_BUFFER = 2 , DEVICE_DEBUG = 3 , DIRECT_REGISTER_ACCESS = 4 }

## Functions

std::string IIO_API | get_pluto_uri ()

## Typedef Documentation

## fmcomms2_sink_fc32

typedef fmcomms2_sink<gr_complex> gr::iio::fmcomms2_sink_fc32

## fmcomms2_sink_s

typedef fmcomms2_sink<int16_t> gr::iio::fmcomms2_sink_s

## fmcomms2_sink_sc16

typedef fmcomms2_sink<std::complex<int16_t> > gr::iio::fmcomms2_sink_sc16

## fmcomms2_source_fc32

typedef fmcomms2_source<gr_complex> gr::iio::fmcomms2_source_fc32

## fmcomms2_source_s

typedef fmcomms2_source<int16_t> gr::iio::fmcomms2_source_s

## fmcomms2_source_sc16

typedef fmcomms2_source<std::complex<int16_t> > gr::iio::fmcomms2_source_sc16

## iio_param_value_t

typedef std::variant<long long unsigned int, long unsigned int, int, double, std::string> gr::iio::iio_param_value_t

## iio_param_vec_t

typedef std::vector<iio_param_t> gr::iio::iio_param_vec_t

## Enumeration Type Documentation

## attr_type_t

enum class gr::iio::attr_type_t

strong

Enumerator
CHANNEL |
DEVICE |
DEVICE_BUFFER |
DEVICE_DEBUG |
DIRECT_REGISTER_ACCESS |

## data_type_t

enum class gr::iio::data_type_t

strong

Enumerator
DOUBLE |
FLOAT |
LONGLONG |
INT |
UINT8 |

## Function Documentation

## get_pluto_uri()

std::string IIO_API gr::iio::get_pluto_uri | ( |  | ) |

References IIO_API.